pango-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object Stores global information used to control the itemization process.
- Constructor
  2.12.0.0
  Internal constructor
  This is an internal constructor, and should not be used by user code.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  2.12.0.0
  Pango.Direction The base direction for the context. the base direction The base direction is used in applying the Unicode bidirectional algorithm; if the direction is or , then the value will be used as the paragraph direction in the Unicode bidirectional algorithm.
- Property
  2.12.0.0
  Pango.Gravity To be added. To be added. To be added.
- Property
  2.12.0.0
  Pango.FontFamily[] Returns an array of Font Families. a
- Property
  2.12.0.0
  Pango.FontDescription The default font description for the context. the context's default font description.
- Property
  2.12.0.0
  Pango.FontMap To be added a To be added
- Method
  2.12.0.0
  Pango.FontMetrics `` `` an object of type language tag used to determine which script to get the metrics for, or to indicate to get the metrics for the entire font. Get overall metric information for a font particular font description. a object. Since the metrics may be substantially different for different scripts, a language tag can be provided to indicate that the metrics should be retrieved that correspond to the script(s) used by that language.

  The is interpreted in the same way as by pango_itemize(), and the family name may be a comma separated list of figures. If characters from multiple of these families would be used to render the string, then the returned fonts would be a composite of the metrics for the fonts loaded for the individual families.

- Property
  2.12.0.0
  Pango.Gravity To be added. To be added. To be added.
- Property
  2.12.0.0
  Pango.GravityHint To be added. To be added. To be added.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  Pango.Language The global language tag for the context. the global language tag.
- Method
  2.12.0.0
  System.Obsolete
  System.Int32 `` a List all families for a context. the number of families
- Method
  2.12.0.0
  Pango.Font `` an object of type describing the font to load Loads the font in one of the fontmaps in the context that is the closest match for . the font loaded, or if no font matched.
- Method
  2.12.0.0
  Pango.Fontset `` `` an object of type describing the fonts to load an object of type the fonts will be used for Load a set of fonts in the context that can be used to render a font matching . the fontset, or if no font matched.
- Property
  2.12.0.0
  Pango.Matrix To be added a To be added